package com.elab.core.dao.model;

import java.util.List;

/**
 * in字段查询
 *
 * @author ： liukx
 * @time ： 2020/4/16 - 16:33
 */
public class InSearch {

    /**
     * 字段名称
     */
    private String filed;
    /**
     * 数据集合
     */
    private List dataList;

    public InSearch() {
    }

    private InSearch(Builder builder) {
        setFiled(builder.filed);
        setDataList(builder.dataList);
    }

    public static Builder newBuilder() {
        return new Builder();
    }

    public String getFiled() {
        return filed;
    }

    public void setFiled(String filed) {
        this.filed = filed;
    }

    public List getDataList() {
        return dataList;
    }

    public void setDataList(List dataList) {
        this.dataList = dataList;
    }


    public static final class Builder {
        private String filed;
        private List dataList;

        private Builder() {
        }

        public Builder filed(String val) {
            filed = val;
            return this;
        }

        public Builder dataList(List val) {
            dataList = val;
            return this;
        }

        public InSearch build() {
            return new InSearch(this);
        }
    }
}
